_MCU_Init:
;MCP1664_click_pic32.c,27 :: 		void MCU_Init()
ADDIU	SP, SP, -20
SW	RA, 0(SP)
;MCP1664_click_pic32.c,29 :: 		TRISB0_bit = 1;                      //configure PORTB pin 0 as input
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
SW	R28, 16(SP)
LUI	R2, BitMask(TRISB0_bit+0)
ORI	R2, R2, BitMask(TRISB0_bit+0)
_SX	
;MCP1664_click_pic32.c,30 :: 		TRISD0_bit = 0;                      //configure PORTC pin 1 as output (PWM)
LUI	R2, BitMask(TRISD0_bit+0)
ORI	R2, R2, BitMask(TRISD0_bit+0)
_SX	
;MCP1664_click_pic32.c,31 :: 		JTAGEN_bit = 0;
_LX	
INS	R2, R0, BitPos(JTAGEN_bit+0), 1
_SX	
;MCP1664_click_pic32.c,33 :: 		ADC1_Init();                         // ADC Init
JAL	_ADC1_Init+0
NOP	
;MCP1664_click_pic32.c,34 :: 		Delay_ms(100);
LUI	R24, 40
ORI	R24, R24, 45226
L_MCU_Init0:
ADDIU	R24, R24, -1
BNE	R24, R0, L_MCU_Init0
NOP	
;MCP1664_click_pic32.c,35 :: 		current_duty = 0;                    // initial value for current duty
SH	R0, Offset(_current_duty+0)(GP)
;MCP1664_click_pic32.c,37 :: 		PWM_Init(5000 , 1, 1, 2);            // PWM Initialization
ORI	R28, R0, 2
ORI	R27, R0, 1
ORI	R26, R0, 1
ORI	R25, R0, 5000
JAL	_PWM_Init+0
NOP	
;MCP1664_click_pic32.c,38 :: 		PWM_Start(1);
ORI	R25, R0, 1
JAL	_PWM_Start+0
NOP	
;MCP1664_click_pic32.c,39 :: 		PWM_Set_Duty(current_duty,  1);      // Set current duty for PWM1
ORI	R26, R0, 1
LHU	R25, Offset(_current_duty+0)(GP)
JAL	_PWM_Set_Duty+0
NOP	
;MCP1664_click_pic32.c,40 :: 		}
L_end_MCU_Init:
LW	R28, 16(SP)
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 20
JR	RA
NOP	
; end of _MCU_Init
_main:
;MCP1664_click_pic32.c,46 :: 		void main()
;MCP1664_click_pic32.c,48 :: 		MCU_Init();
JAL	_MCU_Init+0
NOP	
;MCP1664_click_pic32.c,51 :: 		while( 1 )
L_main2:
;MCP1664_click_pic32.c,56 :: 		adc_result = ADC1_Read(0);
MOVZ	R25, R0, R0
JAL	_ADC1_Read+0
NOP	
SH	R2, Offset(_adc_result+0)(GP)
;MCP1664_click_pic32.c,57 :: 		current_duty = adc_result;
SH	R2, Offset(_current_duty+0)(GP)
;MCP1664_click_pic32.c,58 :: 		PWM_Set_Duty(adc_result * 16, 1);       // Set newly acquired duty
ANDI	R2, R2, 65535
SLL	R2, R2, 4
ORI	R26, R0, 1
ANDI	R25, R2, 65535
JAL	_PWM_Set_Duty+0
NOP	
;MCP1664_click_pic32.c,60 :: 		Delay_ms(20);
LUI	R24, 8
ORI	R24, R24, 9044
L_main4:
ADDIU	R24, R24, -1
BNE	R24, R0, L_main4
NOP	
NOP	
NOP	
;MCP1664_click_pic32.c,61 :: 		}
J	L_main2
NOP	
;MCP1664_click_pic32.c,62 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
